import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StartLoggingInput } from "../types/StartLoggingInput";
import { StartLoggingOutput } from "../types/StartLoggingOutput";
import { CloudTrailResolvedConfiguration } from "../CloudTrailConfiguration";
export * from "../types/StartLoggingInput";
export * from "../types/StartLoggingOutput";
export * from "../types/StartLoggingExceptionsUnion";
export declare class StartLoggingCommand implements __aws_sdk_types.Command<InputTypesUnion, StartLoggingInput, OutputTypesUnion, StartLoggingOutput, CloudTrailResolvedConfiguration, Blob> {
    readonly input: StartLoggingInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StartLoggingInput, StartLoggingOutput, Blob>;
    constructor(input: StartLoggingInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CloudTrailResolvedConfiguration): __aws_sdk_types.Handler<StartLoggingInput, StartLoggingOutput>;
}
