import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateTrailInput } from "../types/CreateTrailInput";
import { CreateTrailOutput } from "../types/CreateTrailOutput";
import { CloudTrailResolvedConfiguration } from "../CloudTrailConfiguration";
export * from "../types/CreateTrailInput";
export * from "../types/CreateTrailOutput";
export * from "../types/CreateTrailExceptionsUnion";
export declare class CreateTrailCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateTrailInput, OutputTypesUnion, CreateTrailOutput, CloudTrailResolvedConfiguration, Blob> {
    readonly input: CreateTrailInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateTrailInput, CreateTrailOutput, Blob>;
    constructor(input: CreateTrailInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CloudTrailResolvedConfiguration): __aws_sdk_types.Handler<CreateTrailInput, CreateTrailOutput>;
}
