"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetTrailStatusOutput = {
    type: "structure",
    required: [],
    members: {
        IsLogging: {
            shape: {
                type: "boolean"
            }
        },
        LatestDeliveryError: {
            shape: {
                type: "string"
            }
        },
        LatestNotificationError: {
            shape: {
                type: "string"
            }
        },
        LatestDeliveryTime: {
            shape: {
                type: "timestamp"
            }
        },
        LatestNotificationTime: {
            shape: {
                type: "timestamp"
            }
        },
        StartLoggingTime: {
            shape: {
                type: "timestamp"
            }
        },
        StopLoggingTime: {
            shape: {
                type: "timestamp"
            }
        },
        LatestCloudWatchLogsDeliveryError: {
            shape: {
                type: "string"
            }
        },
        LatestCloudWatchLogsDeliveryTime: {
            shape: {
                type: "timestamp"
            }
        },
        LatestDigestDeliveryTime: {
            shape: {
                type: "timestamp"
            }
        },
        LatestDigestDeliveryError: {
            shape: {
                type: "string"
            }
        },
        LatestDeliveryAttemptTime: {
            shape: {
                type: "string"
            }
        },
        LatestNotificationAttemptTime: {
            shape: {
                type: "string"
            }
        },
        LatestNotificationAttemptSucceeded: {
            shape: {
                type: "string"
            }
        },
        LatestDeliveryAttemptSucceeded: {
            shape: {
                type: "string"
            }
        },
        TimeLoggingStarted: {
            shape: {
                type: "string"
            }
        },
        TimeLoggingStopped: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=GetTrailStatusOutput.js.map