"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _LookupAttributesList_1 = require("./_LookupAttributesList");
exports.LookupEventsInput = {
    type: "structure",
    required: [],
    members: {
        LookupAttributes: {
            shape: _LookupAttributesList_1._LookupAttributesList
        },
        StartTime: {
            shape: {
                type: "timestamp"
            }
        },
        EndTime: {
            shape: {
                type: "timestamp"
            }
        },
        MaxResults: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        NextToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=LookupEventsInput.js.map